Bug 735505 - CUPS is not purging JobFiles when MaxJobs is reached in RHEL6.1
Summary: CUPS is not purging JobFiles when MaxJobs is reached in RHEL6.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cups
Version: 6.1
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 736304
TreeView+ depends on / blocked
 
Reported: 2011-09-02 20:25 UTC by Andrea Cavallari
Modified: 2018-11-14 10:42 UTC (History)
6 users (show)

Fixed In Version: cups-1.4.2-43.el6
Doc Type: Bug Fix
Doc Text:
The MaxJobs directive controls the maximum number of print jobs that are kept in memory. Previously, once the number of jobs reached the limit, the CUPS system failed to automatically purge the oldest completed job from the system to make room for a new one. This bug has been fixed, and the jobs beyond the limit are now properly purged in the described scenario.
Clone Of:
Environment:
Last Closed: 2011-12-06 15:28:59 UTC


Attachments (Terms of Use)
sosreport attached (7.24 MB, application/octet-stream)
2011-09-02 20:35 UTC, Andrea Cavallari
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1635 normal SHIPPED_LIVE Low: cups security and bug fix update 2011-12-06 00:50:41 UTC
CUPS Bugs and Features 3795 None None None Never
CUPS Bugs and Features 3880 None None None Never

Comment 13 Tomas Capek 2011-09-12 16:08:46 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The MaxJobs directive controls the maximum number of print jobs that are kept in memory. Previously, once the number of jobs reached the limit, the CUPS system failed to automatically purge the oldest completed job from the system to make room for a new one. This bug has been fixed, and the jobs beyond the limit are now properly purged in the described scenario.

Comment 22 errata-xmlrpc 2011-12-06 15:28:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1635.html


Note You need to log in before you can comment on or make changes to this bug.